Subject: [p2p-sip] Requirements Explosion

From: eunsoo at research.panasonic.com (Eunsoo Shim)
Date: Wed, 11 Jan 2006 13:41:52 -0500

Henry Sinnreich wrote:

>>for basic audio-only no-NAT 
>>SIP user agent
>>    
>>
>
>I hope we include presence and IM right from the start and see no difference
>if video will be there as well.
>
>  
>
I believe, once we have a design to support audio-only SIP user agents 
following the external DHT approach (or DHT-based approach), it will be 
fairly straightforward to support presence, IM and video in that approach.
So I support Henry's proposal with respect to setting our very initial 
design target.
Thanks.

Eunsoo

>Thanks, Henry 
>
>-----Original Message-----
>From: Eunsoo Shim [mailto:eunsoo at research.panasonic.com] 
>Sent: Wednesday, January 11, 2006 9:09 AM
>To: Kundan Singh
>Cc: p2p-sip at cs.columbia.edu
>Subject: Re: [p2p-sip] Requirements Explosion
>
>
>  
>
>>So in conclusion, I think we should start with defining the generic 
>>location-service and P2P-service protocol, and then specific data format 
>>for SIP-location-service, and implement it for basic audio-only no-NAT 
>>SIP user agent and basic SIP proxy and registrar using some existing 
>>DHT/P2P algorithm.
>> 
>>
>>    
>>
>I like this proposal a lot like many other people.
>Regards,
>
>Eunsoo
>
>
>  
>